性生活一级片录像。_ -|五花马├江油中学
淘宝减肥药排行榜十强
只推淘宝安全有效的减肥药

当前位置:性生活一级片录像。 > 减肥产品

性生活一级片录像。

时间:2020-08-05 18:16  编辑:龙川交流网

性生活一级片录像。

目次

1引言(或绪论)…………………………………………………………………………………1

2凸轮机构的分析过程………………………………………………………………1

2.1计算机辅助设计方法……………………………………………………………1

2.2凸轮轮廓解析法方程的建立……………………………………………………1

2.2.1尖顶直动从动件盘形机构解析法方程建立…………………………………2

2.2.2滚子直动从动件盘形机构解析法方程建立…………………………………3

3程序界面的设置…………………………………………………………………4

3.1主界面form1的设计……………………………………………………………5

3.2主界面form2的设计……………………………………………………………6

3.3主界面form3的设计……………………………………………………………7

4程序的编辑…………………………………………………………………………8

4.1form1的主要程序………………………………………………………………8

4.2form2的主要程序………………………………………………………………9

4.3form3的主要程序………………………………………………………………18

5实例应用…………………………………………………………………………19

结论……………………………………………………………………………………23

致谢……………………………………………………………………………………24

参考文献………………………………………………………………………………25

附录Aform3程序…………………………………………………………………26

1引言

随着信息时代和全球一体化进程的到来,我国的机械制造企业要在激烈的市场竞争中生存和发展,就必须具备产品的快速开发、研制及创新能力。凸轮机构因其独特的功能特性,在工业工程的各个领域得到极为广泛的应用。由凸轮机构特性决定,针对不同应用环境下凸轮机构都不相同。因此对单个凸轮机构进行重复设计与计算为设计人员增加大量重复性工作,使得产品设计周期延长、增加产品设计成本、降低企业竞争力。实践证明,CAD技术对加速产品开发、缩短产品设计周期、提高产品质量、降低成本起着关键作用,是支持企业增强创新设计,提高市场竞争力的强有力手段。

2凸轮机构的分析过程

同一运动要求往往可以通过多种凸轮机构来实现,即使在凸轮机构类型确定的情况下,实现运动要求的机构基本参数和结构参数也有较大的可取范围。这就存在如何根据使用场合和工作要求,合理选择凸轮机构类型和确定有关参数的问题,它们是建立在设计方案的定量评价基础上的最优化问题。由于凸轮机构类型选择属于概念设计范畴,目前尚无系统的评价理论和方法,在一般的工程设计中,此项工作主要依赖于设计者个人的经验和主观意愿,只有通过对专家设计经验的总结,并加以描述,构造类型设计知识库和定量评价系统,基于人工智能和专家系统技术,才能实现凸轮机构类型的智能设计和最优设计[1]。介于凸轮机构种类的广泛性,本次毕业设计选取典型的尖顶从动凸轮机构和滚子从动凸轮机构作为研究对象。

2.1计算机辅助设计的方法

在传统的凸轮轮廓设计中,大部分是采用图解法设计。由于图解法直观、简单,故对一些精度要求不高的凸轮机构仍采用。但图解法由于在等分过程中的有限性及人为的作图误差,致使所设计出来的轮廓曲线不能严格地按给定的运动规律运动[2]。因此,在现在精密的凸轮轮廓设计中,广泛采用解析法,并借助于计算机进行运算和绘图,这样可设计出较精确的凸轮轮廓曲线。

2.2凸轮轮廓解析法方程的建立

由于本文的主要研究对象是尖顶直动盘形从动件凸轮机构和滚子直动从动件盘形凸轮机构,所以需要分别对两种机构进行解析方程的建立,从而使得更方便地在今后的编程中使用已建立起来的方程来解决问题。

2.2.1尖顶直动从动件盘形机构解析法方程建立

在平面凸轮机构中,尖顶直动从动件盘形是最基本的形式,故以该机构为例来设计。如图1为一正偏置尖顶直动从动件盘形凸轮机构,凸轮以等角顺时针方向旋转偏距为,基圆半径为,从动件运动规律,取凸轮中心为极点,与初始向径重合的轴为极轴,当凸轮转过任意角后,从动件上升的位移可按求出。利用反转法原理,可作出从动件反转过角后的位置,如图中虚线所示,此时,从动件尖顶与凸轮轮廓在点接触。由图中可得点向径和向角为:

式(1)

式(2)

(1)式中式(3)

(2)式中

式(4)

(1)(2)两式是根据正偏置求得的,对负偏置机构,其表达也相同,只是在计算角和时,用负值代入(4)式即可。为使极坐标方程适用于不同转向的凸轮,向角应引入正负号,若凸轮为顺时针方向转动,为正值,若凸轮逆时针方向转动,为负值。故偏置尖顶直动从动件盘形凸轮轮廓的极坐标方程为:

式(5)

式(6)

图1尖顶直动从动件盘形机构的解析法示意图

2.2.2滚子直动从动件盘形机构解析法方程建立

除尖顶直动从动件盘形此基本形式以外,滚子直动从动件盘形机构也同样比较典型,原理上与尖顶直动从动件盘形机构有点相似却略有不同[3]。如图2所示,仍用反转法给整个机构一个绕凸轮轴心的公共角速度,这时凸轮将固定不动,而从动件将沿方向转过角度,滚子中心将位于点。在图示直角坐标系中,点坐标,即理论轮廓线的方程为:

式(7)

为理论轮廓线上的点的直角坐标;为偏距,为凸轮的转角;为从动件的位移;为从动件在起始位置时滚子中心的高度。,式中为理论轮廓的基圆半径,即,为滚子半径。

对于对心从动件凸轮机构,因,所以,于是由式(7)可得理论轮廓线的参数方程为:

式(8)

图2滚子直动从动件盘形机构的解析法示意图

3程序界面的设置

ActiveXAutomation是一套微软标准,该标准允许通过外显的对象由一个Windows应用程序控制另一个Windows应用程序,这也是面向对象编程技术的精髓所在。ActiveXAutomation服务器应用程序是通过自身对象的属性、方法、事件外显其功能[4]。对象是服务器应用程序的简单而抽象的代表。不管是用VB、VC、OFFICEVBA等从外部,还是用AutoCADVBA从内部对AutoCAD进行二次开发,都是通过调用AutoCAD的对象体系结构来进行的[5]。ActiveXAutomation技术的完全面向对象化编程的特点,使其开发环境具备了强大的开发能力和简单易用的优良特点,开发工具的选择也具有很大的灵活性。所以,利用ActiveXAutomation技术,是极具潜力的一种开发手段。

用AutoCADVBA从内部对AutoCAD进行二次开发是一种典型的手段,由于VBA具有通用性强,开发出的应用程序可编译为执行文件及打开包等优点[6],这里将用VBA来进行程序的设计和编译。

3.1主界面form1的设计

图3form1界面设计

form1用作欢迎界面,本文主要研究第二章中所提出的两种凸轮机构且两种凸轮机构所需要确定的参数和方程建立均有所不同,需要用两个窗体form2、form3分别解决,故form1窗体清晰地将两个研究对象列出来并供使用者选择并进入,从而进行后面的操作,界面设计如图3。

将form1中的各个控件的初始属性表1[7]设定,此外form1的Caption属性设置为:“凸轮机构计算机辅助设计软件”,为了美化窗体,各个控件的文字字体均采用的“幼圆-常规-三号”。此时form1的就算基本完成,form1需要完成的功能是选择对应的凸轮机构的名称,点击“确定”后进入到对应的凸轮设计窗体,“结束”按钮用于结束。

表1form1中控件对象及初始属性值

控件类型

Name属性值

Caption属性值

Enabled属性

标签

Label1

选择所需绘制的凸轮机构

True

命令按钮

CommandButton1

确定

False

命令按钮

CommandButton2

结束

True

单选框

OptionButton1

尖顶直动从动件盘形凸轮

True

单选框

OptionButton2

滚子直动从动件盘形凸轮

True

3.2界面form2的设计

图4form2界面设计

根据章节2.2.1可知,需要输入的主要参数为推程运动角,远休止角,回程运动角,近休止角,由于,所以当,,分别已经确定的时候,确定,不必使用者填写。此外,还需要使用者确定的有行程、偏心距、基圆半径、精度。凸轮的运动方式繁杂,不管多么精密的软件也不能把各种运动方式都包罗其中,因为凸轮的运动甚至可以是一个完全没有规律的运动。在这里面,我只采用典型的几个运动方式供使用者选择:等速运动,等加速等减速运动和简谐运动。另外,需要有使用者将各个量输入完毕以后点击就绘图的“绘制”按钮和用于退出的“结束”按钮。最后,用户可能同时需要设计两种机构,所以还需要一个“转到滚子机构”的按钮用于使用者切换进入form3,窗体设计如图4,各个控件的初始属性设计如表2。

表2form2中控件对象及初始属性值

控件类型

Name属性

Caption属性

控件类型

Name属性

Enabled属性

标签

Label1

推程运动角

文本框

TextBox1

True

标签

Label2

远休止角

文本框

TextBox2

True

标签

Label3

回程休止角

文本框

TextBox3

True

标签

Label4

近休止角

文本框

TextBox4

False

标签

Label5

行程h

文本框

TextBox5

True

标签

Label6

偏心距e

文本框

TextBox6

True

标签

Label7

基圆半径ro

文本框

TextBox7

True

标签

Label8

精度

文本框

TextBox8

True

标签

Label9

运动规律

续表

控件类型

Name属性

Style属性

组合框

Combobox1

0-fmStyleDropDownCombo

命令按钮

CommandButton1

(无)

命令按钮

CommandButton2

(无)

命令按钮

CommandButton3

(无)

3.3界面form3设计

此处省略 NNNNNNNNNNNN字。如需要完整说明书和设计图纸等.请联系 扣扣:九七一九二零八零零另提供全套机械毕业设计下载!该论文已经通过答辩

4程序的编译

4.1form1的主要程序

根据窗体1的功能,使用者选择对应的所设计的凸轮机构名称然后“确定”,可进入对应的窗体2或者窗体3,但为防止使用者没有选择就“确定”,所以“确定”按钮的“Enable”属性值预设值为“False”,在这里需要语句将“Enable”属性恢复成“True”。

PrivateSubOptionButton1_Click()

CommandButton1.Enabled=True

EndSub

PrivateSubOptionButton2_Click()

CommandButton1.Enabled=True

EndSub

在窗体1切换到窗体2或窗体3时,分别由“OptionButton1”和“OptionButton2”的“Value”属性来决定使用者的选择,当确定了对应窗体后,对应的窗体显示出来同时当前显示的窗体隐藏[8]。

PrivateSubCommandButton1_Click()

IfOptionButton2.Value=TUREThen

UserForm1.Hide

UserForm2.show

EndIf

IfOptionButton1.Value=TUREThen

UserForm1.Hide

UserForm3.show

EndIf

EndSub

最后,点击“结束”按钮,结束当前的窗体。

PrivateSubCommandButton2_Click()

End

EndSub

4.2form2的主要程序

根据前面的章节可以知道,窗体2的主要功能:使用者输入对应的参数量,然后点击“绘制”按钮,并在AutoCAD使用界面上任意确定凸轮的圆心,计算机自动生成所需要的图形。

当确定了推程角,远休止角和回程角以后,近休止就相应的确定了,且近休止角的文本输入框的“Enable”属性值为“False”,所以需要程序,将近休止角的大小自动生成并显示在对应的文本框内[9,10]。

Dimu1,u2,u3AsDouble

PrivateSubTextBox3_Change()

u1=Val(TextBox1.Text)

u2=Val(TextBox2.Text)

u3=Val(TextBox3.Text)

IfTextBox1.Text""AndTextBox2.Text""AndTextBox3.Text""Then

u4=360-u1-u2-u3

TextBox4.Text=u4

EndIf

EndSub

使用者将凸轮的各个参数输入完成以后,点击“绘制”按钮。程序开始运行

PrivateSubCommandButton1_Click()

首先隐藏当前的窗体,使得AutoCAD的操作界面置前

UserForm2.Hide

该图形除了使用实线以外还需要用作于中心线的点划线和用作于画凸轮基圆和偏心圆的虚线,所以需要先设置两个图层(myly和myly1)并在两个图层内加载相对应的线型(myly图层对应虚线,myly1图层对应点划线)[11]。

DimentryAsAcadLineType

DimfoundAsBoolean

found=False

ForEachentryInThisDrawing.Linetypes

IfStrComp(entry.Name,"ACAD_ISO02W100",1)=0Then

found=True

ExitFor

EndIf

Next

IfNot(found)Then

ThisDrawing.Linetypes.Load"ACAD_ISO02W100","acadiso.lin"

EndIf

DimmylyAsAcadLayer

DimmylayerAsString

Setmyly=ThisDrawing.Layers.Add("mylayer")

myly.Linetype=("ACAD_ISO02W100")

Dimentry1AsAcadLineType

Dimfound1AsBoolean

found1=False

ForEachentry1InThisDrawing.Linetypes

IfStrComp(entry1.Name,"CENTER",1)=0Then

found1=True

ExitFor

EndIf

Next

IfNot(found1)Then

ThisDrawing.Linetypes.Load"CENTER","acadiso.lin"

EndIf

Dimmyly1AsAcadLayer

Dimmylayer1AsString

Setmyly1=ThisDrawing.Layers.Add("mylayer1")

myly1.Linetype=("CENTER")

定义变量,将需要使用的变量进行定义:e为偏心距,ro为基圆半径,incrim为精度,s0、beta0与beta为计算中间量,分别表示“图1尖顶直动从动件盘形机构的解析法示意图”中的、和的余角,rou为一个动态量,表示当前的尖顶位置与基圆圆心连线的距离,ceta表示尖顶位置与基圆圆心的连线当前偏转的角度,pi用作表示常量,用作下拉框的结果赋值,只有0,1,2三个值,pt用于作图时储存尖顶点,bp用于作图时储存基圆圆心,circleobj、circleobi用于作基圆和偏心圆。此外pt0用于保存轮廓线上实时得到的点,firstpt用于保存轮廓线上第一次得到的点。

Dime,ro,incrim,s0,beta0,beta,rou,ceta,piAsDouble

DimiAsInteger

Dimptpnts()AsDouble

DimptAsVariant

DimbpAsVariant

DimcircleobjAsAcadCircle

DimcircleobiAsAcadCircle

DimobjpolyAsAcadLWPolyline

DimobjlineAsAcadLine

Dimpt0AsVariant

DimfirstptAsVariant

pi=3.1415926

将TextBox5.Text、TextBox6.Text、TextBox7.Text、TextBox8.Text中的各个值分别赋值给h、e、ro和incrim。根据ComboBox1的ListIndex属性对i进行赋值。

h=Val(TextBox5.Text)

e=Val(TextBox6.Text)

ro=Val(TextBox7.Text)

incrim=Val(TextBox8.Text)

i=UserForm2.ComboBox1.ListIndex

根据用户一开始的操作,将用户所确定的基圆圆心赋值给bp并以bp为交点做互相垂直的中心线,其中以CENTER为中心线的中心,两条中心线等别为line1和line2且他们的起点分别为pl1s、pl2s,终点分别为pl1e、pl2e,为了使中心线的长度足够,将长度初设为[12]。

bp=ThisDrawing.Utility.GetPoint(,"请输入凸轮基圆中心:")

DimCENTER(0To2)AsDouble

CENTER(0)=bp(0)

CENTER(1)=bp(1)

CENTER(2)=bp(2)

Dimline1AsAcadLine

Dimline2AsAcadLine

Dimpl1s(0To2)AsDouble

Dimpl1e(0To2)AsDouble

Dimpl2s(0To2)AsDouble

Dimpl2e(0To2)AsDouble

pl1s(0)=CENTER(0)-ro-2*h

pl1s(1)=CENTER(1)

pl1s(2)=0

pl1e(0)=CENTER(0)+ro+2*h

pl1e(1)=CENTER(1)

pl1e(2)=0

pl2s(0)=CENTER(0)

pl2s(1)=CENTER(1)-ro-2*h

pl2s(2)=0

pl2e(0)=CENTER(0)

pl2e(1)=CENTER(1)+ro+2*h

pl2e(2)=0

ThisDrawing.ActiveLayer=myly1

Setline1=ThisDrawing.ModelSpace.AddLine(pl1s,pl1e)

Setline2=ThisDrawing.ModelSpace.AddLine(pl2s,pl2e)

再根据所确定的基圆中心点分别用虚线画基圆circleobj和偏心圆circleobj[13]。

ThisDrawing.ActiveLayer=myly

Setcircleobj=ThisDrawing.ModelSpace.AddCircle(bp,ro)

Setcircleobi=ThisDrawing.ModelSpace.AddCircle(bp,e)

赋值给u,u表示当前作图中,假象凸轮反方向转动的转角,从u=0从开始进入循环,当u为某值时,利用几何关系得到此时刻尖顶所在的位置,并把该点保存到pt中,然后在用多段线将此次得到的尖顶的点与前一次所得到的尖顶的点相连得到许许多多小段的线段,每次循环结束用u+incrim给u重新赋值,并判断此时u与360的关系,若比360大则退出循环从而完成u从0到360的情况分析。

u=0

DoWhileu。

猜你喜欢

最安全有效的减肥药

最安全有效的减肥药

编辑:小徐

现在的减肥药真的是真假难分,在选择减肥药的同时也应该更加小心,减肥药多种多样,那么如何才能选择最安全有效的减肥药,也成了很多小仙女的内心疑问,下面就跟着性生活一级片录像。小编一起看一下,如何选择最安全有效的减肥药。 最安全有效的减肥药选购方法 1、首先需要观察产品的外包装,在包装中可以看到其配方是不是含有激素,含有激素的减肥药对身体的内..

吃减肥药失眠

吃减肥药失眠

编辑:小徐

随着现在流行以瘦为美,很多人会不顾身体的健康选择减肥药,达到快速减肥瘦身的效果,但是很多减肥药都是有副作用的,副作用比较轻的就是失眠现象,那么吃减肥药出现失眠是怎么回事儿?如果出现失眠后,我们应该怎样缓解? 吃减肥药失眠是怎么回事 减肥药中富含安非他命,所以减肥药服用了太多会有失眠现象,服用减肥药期间,身体会逐渐出现抗药性,身..

最新文章